Create  Edit  FrontPage  Index  Search  Changes  History  RSS  Login

FrontPage

What's New!?

Ruby-GNOME2 3.1.8 has been released!

Posted by kou on 2017-07-15 (Sat) 07:38:47

This is a bug fix release for macOS install.

Read more...

What's Ruby-GNOME2?

Ruby-GNOME2 is a set of Ruby language bindings for the GNOME development environment. This is the next generation of Ruby-GNOME.

Ruby-GNOME2 now includes the libraries below:

ruby-gtk2 package
Ruby/GLib2, Ruby/ATK, Ruby/GdkPixbuf2, Ruby/Pango, Ruby/GTK2, Ruby/GObjectIntrospection
ruby-gtk3 package
Ruby/GLib2, Ruby/GIO2, Ruby/ATK, Ruby/GdkPixbuf2, Ruby/Pango, Ruby/CairoGObject, Ruby/GObjectIntrospection, Ruby/GDK3, Ruby/GTK3
ruby-gnome2-all package
ruby-gtk2, ruby-gtk3, Ruby/RSVG, Ruby/Poppler, Ruby/VTE, Ruby/VTE3, Ruby/GtkSourceView2, Ruby/GtkSourceView3, Ruby/Clutter, Ruby/ClutterGTK, Ruby/WebKitGTK2, Ruby/WebKit2GTK, Ruby/GStreamer, Ruby/ClutterGStreamer
deprecated package
Ruby/GnomeCanvas2, Ruby/GNOME2 (libgnome), Ruby/Libart2, Ruby/Libglade2, Ruby/GConf2, Ruby/GnomeVFS, Ruby/GtkGLExt, Ruby/GtkHtml2, Ruby/PanelApplet, Ruby/GnomePrint, Ruby/GnomePrintUI, Ruby/GtkMozEmbed, Ruby/GooCanvas
ruby-gtktrayicon
Ruby/GtkTrayIcon (Deprecated. Use Gtk::StatusIcon in Ruby/GTK instead)

See more details.

Ruby-GNOME2 also provides the following programs:

rbbr
Ruby Browser

For Web Editors

This site can't be editted by everyone. You need an account. If you would like to create/modify (pages on this site, please send a message to the mailing list.

Last modified:2015/09/22 15:00:54
Keyword(s):
References:[SideMenu] [News_20031022_1]